<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::sequence_labeler&lt; feature_extractor &gt;::map_prob Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1sequence__labeler.html">sequence_labeler</a></li><li class="navelem"><a class="el" href="classdlib_1_1sequence__labeler_1_1map__prob.html">map_prob</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1sequence__labeler_1_1map__prob-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::sequence_labeler&lt; feature_extractor &gt;::map_prob Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8ed643af404c54d71b3e82c64117c965"><td class="memItemLeft" align="right" valign="top"><a id="a8ed643af404c54d71b3e82c64117c965"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>order</b> () const</td></tr>
<tr class="separator:a8ed643af404c54d71b3e82c64117c965"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab25819b80dfdb1a83c0549ee9d3f9191"><td class="memItemLeft" align="right" valign="top"><a id="ab25819b80dfdb1a83c0549ee9d3f9191"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>num_states</b> () const</td></tr>
<tr class="separator:ab25819b80dfdb1a83c0549ee9d3f9191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ba67a28e4d55924b3ee65ab0c614cc2"><td class="memItemLeft" align="right" valign="top"><a id="a1ba67a28e4d55924b3ee65ab0c614cc2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>map_prob</b> (const sample_sequence_type &amp;x_, const feature_extractor &amp;fe_, const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt; &amp;weights_)</td></tr>
<tr class="separator:a1ba67a28e4d55924b3ee65ab0c614cc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4862bb00f4b8986a2c2e1152173ca94"><td class="memItemLeft" align="right" valign="top"><a id="ad4862bb00f4b8986a2c2e1152173ca94"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>number_of_nodes</b> () const</td></tr>
<tr class="separator:ad4862bb00f4b8986a2c2e1152173ca94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc0bde94bc2535b9b056c83a28a80bd1"><td class="memTemplParams" colspan="2"><a id="adc0bde94bc2535b9b056c83a28a80bd1"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:adc0bde94bc2535b9b056c83a28a80bd1"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><b>factor_value</b> (unsigned long node_id, const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;node_states) const</td></tr>
<tr class="separator:adc0bde94bc2535b9b056c83a28a80bd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afb4a7469464fde9ae9b893041f92cb4f"><td class="memItemLeft" align="right" valign="top"><a id="afb4a7469464fde9ae9b893041f92cb4f"></a>
const sample_sequence_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>sequence</b></td></tr>
<tr class="separator:afb4a7469464fde9ae9b893041f92cb4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae63cd06e6f284c4145c08b54efdcd630"><td class="memItemLeft" align="right" valign="top"><a id="ae63cd06e6f284c4145c08b54efdcd630"></a>
const feature_extractor &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>fe</b></td></tr>
<tr class="separator:ae63cd06e6f284c4145c08b54efdcd630"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fa4fba8eba8a7d8998aa5c53f2905ca"><td class="memItemLeft" align="right" valign="top"><a id="a5fa4fba8eba8a7d8998aa5c53f2905ca"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>weights</b></td></tr>
<tr class="separator:a5fa4fba8eba8a7d8998aa5c53f2905ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="sequence__labeler_8h_source.html">sequence_labeler.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
